Regenerate Emergency Client
Regenerates the token secret for an existing Emergency Client. The new secret is returned and should be stored securely.
SSO Realm identifier
Emergency Client ID
Emergency Client with regenerated token details
"{\n \"clientId\" : \"emergency-client-id\",\n \"clientName\" : \"Emergency Access Client\",\n \"clientDescription\" : \"API client for emergency access purposes\",\n \"accessTokenTtl\" : 259200,\n \"accessTokenExpirationDate\" : 1750526688158,\n \"accessTokenStatus\" : \"ACTIVE\",\n \"accessToken\" : \"eyJzdWIiOiIxM\",\n \"tokenEndpointUrl\" : \"https://host.com/acs/t/CUSTOMER/token\",\n \"oidcIssuerUrl\" : \"https://host.com/acs/t/CUSTOMER\"\n}"
Bearer access token string
The date on which the access token for this emergency client expires
Active / expired status for tokens generated for emergency clients
Time-To-Live lifespan in minutes of the access token for this emergency client
Description for the emergency client
Unique string that is used as the principal for this emergency client
Friendly name for the emergency client
The OIDC issuer URL of the identity broker that generated this emergency client
Roles assigned to this client
The token endpoint URL of the identity broker that generated this emergency client
curl -X POST -H 'Authorization: <value>' https://{api_host}/suite-api/api/fleet-management/iam/ssorealms/{ssoRealmId}/emergency-clients/{clientId}/regenerate